Package org.eclipse.ecf.osgi.services.remoteserviceadmin

## Class AbstractTopologyManager

- java.lang.Object
- - org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractTopologyManager

Direct Known Subclasses:
  `TopologyManagerImpl`

    public abstract class AbstractTopologyManager
    extends Object

Abstract superclass for topology managers. This abstract superclass provides basic functionality for topology managers to reuse. New topology managers can extend this class to get or customize desired functionality. Alternatively, they can use this class as a guide to implementing desired topology manager behavior. For description of the role of topology managers see the OSGI 4.2 Remote Service Admin specification (chap 122).

### Field Summary

Fields
`static String` `SERVICE_EXPORTED_INTERFACES_WILDCARD`

### Constructor Summary

Constructors
`AbstractTopologyManager​(BundleContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `advertiseEndpointDescription​(EndpointDescription endpointDescription)`
`protected void` `advertiseModifyEndpointDescription​(EndpointDescription endpointDescription)`
`void` `close()`
`protected Filter` `createISIFFilter​(BundleContext ctx)`
`protected Filter` `createRSAFilter()`
`protected BundleContext` `getContext()`
`protected String` `getFrameworkUUID()`
`protected RemoteServiceAdmin` `getRemoteServiceAdmin()`
`protected void` `handleAdvertisingResult​(org.eclipse.core.runtime.IStatus result, EndpointDescription endpointDescription, boolean advertise)`
`protected void` `handleECFEndpointAdded​(EndpointDescription endpointDescription)`
`protected void` `handleECFEndpointModified​(EndpointDescription endpoint)`
`protected void` `handleECFEndpointRemoved​(EndpointDescription endpointDescription)`
`protected void` `handleEvent​(ServiceEvent event, Map listeners)`
`protected void` `handleInvalidImportRegistration​(ImportRegistration importRegistration, Throwable t)`
`protected void` `handleNonECFEndpointAdded​(EndpointListener listener, EndpointDescription endpointDescription)`
`protected void` `handleNonECFEndpointModified​(EndpointEventListener basicTopologyManagerImpl, EndpointDescription endpointDescription)`
`protected void` `handleNonECFEndpointRemoved​(EndpointDescription endpointDescription, String matchedFilter)`
`protected void` `handleNonECFEndpointRemoved​(EndpointListener listener, EndpointDescription endpointDescription)`
`protected void` `handleServiceModifying​(ServiceReference serviceReference)`
`protected void` `handleServiceRegistering​(ServiceReference serviceReference)`
`protected void` `handleServiceUnregistering​(ServiceReference serviceReference)`
`protected void` `logError​(String methodName, String message)`
`protected void` `logError​(String methodName, String message, Throwable exception)`
`protected void` `logError​(String methodName, String message, org.eclipse.core.runtime.IStatus result)`
`protected void` `logWarning​(String methodName, String message)`
`protected void` `trace​(String methodName, String message)`
`protected void` `unadvertiseEndpointDescription​(EndpointDescription endpointDescription)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVICE_EXPORTED_INTERFACES_WILDCARD

    public static final String SERVICE_EXPORTED_INTERFACES_WILDCARD

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractTopologyManager

    public AbstractTopologyManager​(BundleContext context)

### Method Detail

#### getContext

    protected BundleContext getContext()

#### getFrameworkUUID

    protected String getFrameworkUUID()

#### close

    public void close()

#### logWarning

    protected void logWarning​(String methodName,
                              String message)

#### createRSAFilter

    protected Filter createRSAFilter()

#### createISIFFilter

    protected Filter createISIFFilter​(BundleContext ctx)

Parameters:
  `ctx` - the bundle context
Returns:
  Filter the created filter
Since:
  4.0

#### getRemoteServiceAdmin

    protected RemoteServiceAdmin getRemoteServiceAdmin()

#### advertiseModifyEndpointDescription

    protected void advertiseModifyEndpointDescription​(EndpointDescription endpointDescription)

Parameters:
  `endpointDescription` - endpoint description
Since:
  4.1

#### advertiseEndpointDescription

    protected void advertiseEndpointDescription​(EndpointDescription endpointDescription)

Parameters:
  `endpointDescription` - endpoint description
Since:
  3.0

#### unadvertiseEndpointDescription

    protected void unadvertiseEndpointDescription​(EndpointDescription endpointDescription)

Parameters:
  `endpointDescription` - endpoint description
Since:
  3.0

#### logError

    protected void logError​(String methodName,
                            String message,
                            Throwable exception)

#### logError

    protected void logError​(String methodName,
                            String message,
                            org.eclipse.core.runtime.IStatus result)

#### trace

    protected void trace​(String methodName,
                         String message)

#### logError

    protected void logError​(String methodName,
                            String message)

#### handleECFEndpointAdded

    protected void handleECFEndpointAdded​(EndpointDescription endpointDescription)

Parameters:
  `endpointDescription` - endpoint description
Since:
  3.0

#### handleECFEndpointRemoved

    protected void handleECFEndpointRemoved​(EndpointDescription endpointDescription)

Parameters:
  `endpointDescription` - endpoint description
Since:
  3.0

#### handleECFEndpointModified

    protected void handleECFEndpointModified​(EndpointDescription endpoint)

Parameters:
  `endpoint` - endpoint description
Since:
  4.1

#### handleNonECFEndpointAdded

    protected void handleNonECFEndpointAdded​(EndpointListener listener,
                                             EndpointDescription endpointDescription)

Parameters:
  `listener` - listener
  `endpointDescription` - endpoint description
Since:
  3.0

#### handleNonECFEndpointRemoved

    protected void handleNonECFEndpointRemoved​(EndpointListener listener,
                                               EndpointDescription endpointDescription)

Parameters:
  `listener` - listener
  `endpointDescription` - endpoint description
Since:
  3.0

#### handleNonECFEndpointModified

    protected void handleNonECFEndpointModified​(EndpointEventListener basicTopologyManagerImpl,
                                                EndpointDescription endpointDescription)

Parameters:
  `basicTopologyManagerImpl` - basic topology manager
  `endpointDescription` - endpointDescription
Since:
  4.1

#### handleNonECFEndpointRemoved

    protected void handleNonECFEndpointRemoved​(EndpointDescription endpointDescription,
                                               String matchedFilter)

Parameters:
  `endpointDescription` - endpoint description
  `matchedFilter` - matched filter
Since:
  3.0

#### handleAdvertisingResult

    protected void handleAdvertisingResult​(org.eclipse.core.runtime.IStatus result,
                                           EndpointDescription endpointDescription,
                                           boolean advertise)

Parameters:
  `result` - result
  `endpointDescription` - endpoint description
  `advertise` - advertise
Since:
  3.0

#### handleInvalidImportRegistration

    protected void handleInvalidImportRegistration​(ImportRegistration importRegistration,
                                                   Throwable t)

#### handleEvent

    protected void handleEvent​(ServiceEvent event,
                               Map listeners)

Parameters:
  `event` - the service event
  `listeners` - map of listeners
Since:
  3.0

#### handleServiceRegistering

    protected void handleServiceRegistering​(ServiceReference serviceReference)

#### handleServiceModifying

    protected void handleServiceModifying​(ServiceReference serviceReference)

#### handleServiceUnregistering

    protected void handleServiceUnregistering​(ServiceReference serviceReference)